Go Down

Topic: libreria degli ir non letta da l'ide (Read 780 times) previous topic - next topic

CarloMaragno

Dec 25, 2011, 09:08 am Last Edit: Dec 25, 2011, 09:14 am by CarloMaragno Reason: 1
ciao a tutti e tantissimi auguri di buon natale.

oggi sono alle prese con la nuova (almeno per me) ide arduino 1.0 ; penso che abbia qualche problema perche non mi legge la libreria di Ken Shirriff sugli ir; mi da una 40 di errori.

ruscireste a darmi qualche consiglio?

grazie e ancora buone feste.

leo72

Ciao e Auguri anche a te.

Come è stato detto più volte, l'1.0 risulta incompatibile con tantissime librerie in circolazione scritte per le vecchie versioni dell'IDE. Esistono dei piccoli trucchi (nelle ultime settimane questo è un argomento che è stato trattato un sacco di volte, fai una ricerca o sfoglia le ultime pagine del forum) che permettono di compilare un discreto numero di librerie ma sono soluzioni provvisorie in attesa che gli autori delle stesse aggiornino i loro software alla nuova versione.

CarloMaragno


bigjohnson

Buon natale,
proprio ieri pomeriggio ho usato la libreria con l'ide 1.0 per fare delle prove con una decina di telecomandi e tutto funziona benissimo, basta solo sostituire la linea
#include <WProgram.h>
con
#include <Arduino.h>
nel file
IRRemoteInt.h
contenuto nella libreria, come spiegato nell'avviso evidenziato in giallo all'inizio della pagina dalla quale si scarica la libreria.

Alberto

pitusso

..io ultimamente son intrippato con le versioni dell'IDE.
Per esempio, ho dovuto usare proprio la IRremote.

Stavo usando l'IDE 0023 e davvero stavo impazzando, anche il codice più semplice sembrava non funzionare (non tanto la ricezione del segnale, quanto la trasmissione).
Poi per sfizio installo la stessa libreria nell'IDE 0022, e funziona tutto...  :smiley-roll:

Caso inverso per la programmazione degli attiny secondo la guida di Leo (appropos, grazie!): con IDE 0022 l'upload sull'attiny dava un errore bloccante, co l'IDE 0023 tutto perfetto...
.....

leo72


Caso inverso per la programmazione degli attiny secondo la guida di Leo (appropos, grazie!)

Prego!

Quote

con IDE 0022 l'upload sull'attiny dava un errore bloccante, co l'IDE 0023 tutto perfetto...

Che errore?

Cmq la mia guida è stata testata nelle seguenti condizioni:
SO: Linux (Kubuntu 11.04)
IDE: 0022 scaricata dal sito (non quella dei repo)
core Tiny: 0022
HW: Arduino UNO R1 con Optifix 4.4 e USBtinyISP

Go Up